#
# spec file for package consoleet-darwin-fonts
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           consoleet-darwin-fonts
Version:        20211008
Release:        1.11
Summary:        Vector/OTF versions of the Darwin console font
License:        APSL-2.0
Group:          System/X11/Fonts
URL:            https://inai.de/projects/consoleet/
Source:         https://inai.de/files/consoleet/consoleet-darwin-%version.tar.zst
Source2:        https://inai.de/files/consoleet/consoleet-darwin-%version.tar.asc
BuildRequires:  fontpackages-devel
BuildRequires:  zstd
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
The 8x16 system console font from the MacOS kernel, Darwin (XNU).

%prep
%setup -Tcq
tar --use=zstd --strip-components=1 -xf %SOURCE0

%build

%install
mkdir -pv "%buildroot/%_ttfontsdir"
cp -av *.otf "%buildroot/%_ttfontsdir/"

%reconfigure_fonts_scriptlets

%files
%license LIC*
%_ttfontsdir/

%changelog
* Fri Oct  8 2021 Jan Engelhardt <jengelh@inai.de>
- Initial package for build.opensuse.org (version 20211008)
